%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name   Sabre_DAV
%global channelname pear.sabredav.org
%global mainver     1.7.13
%global reldate     2014-07-28

Name:           php-sabredav-Sabre_DAV
Version:        1.7.13
Release:        1%{?dist}
Summary:        Sabre_DAV is a WebDAV framework for PHP

Group:          Development/Libraries
License:        BSD
URL:            http://sabre.io
Source0:        https://github.com/fruux/sabre-dav/releases/download/%{mainver}/sabredav-%{mainver}.zip
Source1:        %{name}.xml

BuildArch:      noarch
BuildRequires:  php-pear(PEAR)
BuildRequires:  php-channel(%{channelname})

Requires(post): %{__pear}
Requires(postun): %{__pear}

Requires:       php-common >= 5.1
Requires:       php-pear(PEAR)
Requires:       php-channel(%{channelname})
Requires:       php-xml
Requires:       php-mbstring
Requires:       php-pdo
Requires:       php-pear(%{channelname}/Sabre)      >= 1.0.0
Requires:       php-pear(%{channelname}/Sabre_HTTP) >= 1.7.3

Provides:       php-pear(%{pear_name}) = %{version}
Provides:       php-pear(%{channelname}/%{pear_name}) = %{version}

%description
SabreDAV allows you to easily add WebDAV support to a PHP application. SabreDAV
is meant to cover the entire standard.


%prep
%setup -q -n SabreDAV

sed -e 's/@VERSION@/%{version}/' \
    -e 's/@RELDATE@/%{reldate}/' \
    %{SOURCE1} >%{name}.xml
mv lib/Sabre Sabre

# Check version
extver=$(sed -n "/VERSION/{s/.* '//;s/'.*$//;p}" Sabre/DAV/Version.php)
if test "x${extver}" != "x%{version}"; then
   : Error: Upstream version is ${extver}, expecting %{version}.
   exit 1
fi

# Check files
touch error.lst
for fic in $(find Sabre/DAV -type f)
do
  grep $fic %{name}.xml || echo $fic >> error.lst
done

if [ -s error.lst ]; then
  : Missing in %{name}.xml
  cat error.lst
  exit 1
fi


%build
# Empty build section, most likely nothing required.


%install
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%doc %doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Sabre/DAV


%changelog
* Tue Oct 28 2014 Adam Williamson <awilliam@redhat.com> - 1.7.13-1
- new release 1.7.13 (EOL)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Sep 05 2013 Joseph Marrero <jmarrero@fedoraproject.org> - 1.7.8-2
- fix package xml files incorrectly tagged by myself  doc instead of php

* Tue Sep 03 2013 Joseph Marrero <jmarrero@fedoraproject.org> - 1.7.8-1
- Update to 1.7.8 Uptream version
- Add own pear configuration provided by Remi Collet from RH

* Sun Apr 28 2013 Joseph Marrero <jmarrero@fedoraproject.org> - 1.6.5-4
- added security patch that fixes bugs 951568 951569 951562
- added --ignore-errors flag to pear install macro to accept the patch
- patches provided by Remi Collet

* Wed Oct 31 2012 Joseph Marrero <jmarrero@fedoraproject.org> - 1.6.5-1
- updated to 1.6.5
- Added the required deps pointed by phpci

* Sun Oct 14 2012 Joseph Marrero <jmarrero@fedoraproject.org> - 1.6.4-4
- fixed documentation path
- fixed wrong versions on the changelog
- cleaned up dependencies
- added php-common dependency

* Wed Oct 03 2012 Joseph Marrero <jmarrero@fedoraproject.org> - 1.6.4-3
- removed unneeded %%BUILDROOT 
- removed extra changes of directory
- replaced %%define with global

* Wed Oct 03 2012 Joseph Marrero <jmarrero@fedoraproject.org> - 1.6.4-2
- update to latest upstream version

* Fri Apr 06 2012 Felix Kaechele <heffer@fedoraproject.org> - 1.6.1-1
- initial package
